# Template Class name_value_pair

- Defined in File serialize.hpp

## Inheritance Relationships

### Derived Types

- `public zeem::attribute_nvp< T >` (Template Class attribute_nvp)

- `public zeem::element_nvp< T >` (Template Class element_nvp)

## Class Documentation

template<typename T>
class name_value_pair

  base struct to capture named values in a structure for serializing

  Subclassed by zeem::attribute_nvp< T >, zeem::element_nvp< T >

  Public Functions

  inline name_value_pair(std::string name, T &value)

    constructor

  inline const std::string &name() const
  inline T &value() const